--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: Constructs the dependency
- !ruby/object:SM::Flow::LIST 
  contents: 
  - !ruby/struct:SM::Flow::LI 
    label: "name:"
    body: "[String] name of the Gem"
  - !ruby/struct:SM::Flow::LI 
    label: "version_requirements:"
    body: "[String Array] version requirement (e.g. [&quot;&gt; 1.2&quot;])"
  type: :NOTE
full_name: Gem::Dependency::new
is_singleton: true
name: new
params: (name, version_requirements)
visibility: public
